/*
 * Copyright 2015-2016 aquenos GmbH.
 * All rights reserved.
 * 
 * Please refer to the file NOTICE.txt in the root of the source distribution or
 * in the META-INF directory of the binary archive for licensing information.
 */

package com.aquenos.epics.jackie.common.util;

/**
 * Listener that is notified when a {@link ListenableFuture} completes and thus
 * has a result available.
 * 
 * @param <V>
 *            The result type returned by the future.
 */
public interface FutureCompletionListener<V> {

    /**
     * Called when the future finishes and thus has a result available.
     * 
     * @param future
     *            the future that completed and has a result available now.
     */
    void completed(ListenableFuture<? extends V> future);

}
